Bug 59344 - Dependency solving without downloading.
Summary: Dependency solving without downloading.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Adrian Likins
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-02-05 22:29 UTC by David M. Cook
Modified: 2015-01-07 23:54 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-22 20:33:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David M. Cook 2002-02-05 22:29:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.7) Gecko/20011226

Description of problem:
For use in test scripts, I would like to be able to solve dependencies for a
package without downloading it.  --solvedeps still downloads packages.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try


Additional info:

Comment 1 Adrian Likins 2002-02-05 23:19:58 UTC
should be implemented in cvs now

Comment 2 David M. Cook 2002-02-12 08:51:45 UTC
Minor issue: prints out "Retrieving selected packages..." before exiting.

More major issue: has a non-zero exit status

Comment 3 David M. Cook 2002-02-12 08:58:33 UTC
On further testing, I'm getting a non-zero exit status on regular, uneventful
up2date invocations like

up2date samba-swat

Comment 4 David M. Cook 2002-02-22 20:33:49 UTC
2.7.31-7.x.2 doesn't seem to be giving a spurious non-zero exit status.


Note You need to log in before you can comment on or make changes to this bug.